import{s as _t,n as $t,o as Pt}from"../chunks/scheduler.56730f09.js";import{S as xt,i as Ct,g as r,s as i,r as X,A as gt,h as s,f as n,c as a,j as dt,u as y,x as p,k as ht,y as bt,a as l,v as I,d as E,t as U,w as H}from"../chunks/index.1f144517.js";import{H as k,g as vt}from"../chunks/Heading.1f2b1aed.js";import{C as Tt}from"../chunks/CodeBlock.738eeccb.js";function wt(nt){let o,B,L,F,m,G,f,lt="이 가이드는 CPU에서 대규모 모델을 효율적으로 훈련하는 데 초점을 맞춥니다.",V,c,q,u,it="IPEX는 AVX-512 이상을 지원하는 CPU에 최적화되어 있으며, AVX2만 지원하는 CPU에도 기능적으로 작동합니다. 따라서 AVX-512 이상의 Intel CPU 세대에서는 성능상 이점이 있을 것으로 예상되지만, AVX2만 지원하는 CPU (예: AMD CPU 또는 오래된 Intel CPU)의 경우에는 IPEX 아래에서 더 나은 성능을 보일 수 있지만 이는 보장되지 않습니다. IPEX는 Float32와 BFloat16를 모두 사용하여 CPU 훈련을 위한 성능 최적화를 제공합니다. BFloat16의 사용은 다음 섹션의 주요 초점입니다.",z,d,at="저정밀도 데이터 타입인 BFloat16은 3세대 Xeon® Scalable 프로세서 (코드명: Cooper Lake)에서 AVX512 명령어 집합을 네이티브로 지원해 왔으며, 다음 세대의 Intel® Xeon® Scalable 프로세서에서 Intel® Advanced Matrix Extensions (Intel® AMX) 명령어 집합을 지원하여 성능을 크게 향상시킬 예정입니다. CPU 백엔드의 자동 혼합 정밀도 기능은 PyTorch-1.10부터 활성화되었습니다. 동시에, Intel® Extension for PyTorch에서 BFloat16에 대한 CPU의 자동 혼합 정밀도 및 연산자의 BFloat16 최적화를 대규모로 활성화하고, PyTorch 마스터 브랜치로 부분적으로 업스트림을 반영했습니다. 사용자들은 IPEX 자동 혼합 정밀도를 사용하여 더 나은 성능과 사용자 경험을 얻을 수 있습니다.",S,h,rt='<a href="https://intel.github.io/intel-extension-for-pytorch/cpu/latest/tutorials/features/amp.html" rel="nofollow">자동 혼합 정밀도</a>에 대한 자세한 정보를 확인하십시오.',R,_,Z,$,st="IPEX 릴리스는 PyTorch를 따라갑니다. pip를 통해 설치하려면:",j,P,pt='<thead><tr><th align="center">PyTorch Version</th> <th align="center">IPEX version</th></tr></thead> <tbody><tr><td align="center">1.13</td> <td align="center">1.13.0+cpu</td></tr> <tr><td align="center">1.12</td> <td align="center">1.12.300+cpu</td></tr> <tr><td align="center">1.11</td> <td align="center">1.11.200+cpu</td></tr> <tr><td align="center">1.10</td> <td align="center">1.10.100+cpu</td></tr></tbody>',J,x,W,C,ot='<a href="https://intel.github.io/intel-extension-for-pytorch/cpu/latest/tutorials/installation.html" rel="nofollow">IPEX 설치</a>에 대한 더 많은 접근 방법을 확인하십시오.',Y,g,D,b,mt="Trainer에서 IPEX의 자동 혼합 정밀도를 활성화하려면 사용자는 훈련 명령 인수에 <code>use_ipex</code>, <code>bf16</code>, <code>no_cuda</code>를 추가해야 합니다.",N,v,ft='<a href="https://github.com/huggingface/transformers/tree/main/examples/pytorch/question-answering" rel="nofollow">Transformers 질문-응답</a>의 사용 사례를 살펴보겠습니다.',Q,T,ct=`<li>CPU에서 BF16 자동 혼합 정밀도를 사용하여 IPEX로 훈련하기:<pre> python run_qa.py \\
--model_name_or_path bert-base-uncased \\
--dataset_name squad \\
--do_train \\
--do_eval \\
--per_device_train_batch_size 12 \\
--learning_rate 3e-5 \\
--num_train_epochs 2 \\
--max_seq_length 384 \\
--doc_stride 128 \\
--output_dir /tmp/debug_squad/ \\
<b>--use_ipex \\</b>
<b>--bf16 --no_cuda</b></pre></li>`,K,w,O,M,ut='블로그: <a href="https://huggingface.co/blog/intel-sapphire-rapids" rel="nofollow">Intel Sapphire Rapids로 PyTorch Transformers 가속화</a>',tt,A,et;return m=new k({props:{title:"CPU에서 효율적인 훈련",local:"efficient-training-on-cpu",headingTag:"h1"}}),c=new k({props:{title:"IPEX와 혼합 정밀도",local:"mixed-precision-with-ipex",headingTag:"h2"}}),_=new k({props:{title:"IPEX 설치:",local:"ipex-installation",headingTag:"h3"}}),x=new Tt({props:{code:"cGlwJTIwaW5zdGFsbCUyMGludGVsX2V4dGVuc2lvbl9mb3JfcHl0b3JjaCUzRCUzRCUzQ3ZlcnNpb25fbmFtZSUzRSUyMC1mJTIwaHR0cHMlM0ElMkYlMkZkZXZlbG9wZXIuaW50ZWwuY29tJTJGaXBleC13aGwtc3RhYmxlLWNwdQ==",highlighted:'pip install <span class="hljs-built_in">int</span>el_extension_for_pytorch==&lt;version_name&gt; -f https:<span class="hljs-comment">//developer.intel.com/ipex-whl-stable-cpu</span>',wrap:!1}}),g=new k({props:{title:"Trainer에서의 사용법",local:"usage-in-trainer",headingTag:"h3"}}),w=new k({props:{title:"실습 예시",local:"practice-example",headingTag:"h3"}}),{c(){o=r("meta"),B=i(),L=r("p"),F=i(),X(m.$$.fragment),G=i(),f=r("p"),f.textContent=lt,V=i(),X(c.$$.fragment),q=i(),u=r("p"),u.textContent=it,z=i(),d=r("p"),d.textContent=at,S=i(),h=r("p"),h.innerHTML=rt,R=i(),X(_.$$.fragment),Z=i(),$=r("p"),$.textContent=st,j=i(),P=r("table"),P.innerHTML=pt,J=i(),X(x.$$.fragment),W=i(),C=r("p"),C.innerHTML=ot,Y=i(),X(g.$$.fragment),D=i(),b=r("p"),b.innerHTML=mt,N=i(),v=r("p"),v.innerHTML=ft,Q=i(),T=r("ul"),T.innerHTML=ct,K=i(),X(w.$$.fragment),O=i(),M=r("p"),M.innerHTML=ut,tt=i(),A=r("p"),this.h()},l(t){const e=gt("svelte-u9bgzb",document.head);o=s(e,"META",{name:!0,content:!0}),e.forEach(n),B=a(t),L=s(t,"P",{}),dt(L).forEach(n),F=a(t),y(m.$$.fragment,t),G=a(t),f=s(t,"P",{"data-svelte-h":!0}),p(f)!=="svelte-1hdugqm"&&(f.textContent=lt),V=a(t),y(c.$$.fragment,t),q=a(t),u=s(t,"P",{"data-svelte-h":!0}),p(u)!=="svelte-40eybl"&&(u.textContent=it),z=a(t),d=s(t,"P",{"data-svelte-h":!0}),p(d)!=="svelte-pijyqv"&&(d.textContent=at),S=a(t),h=s(t,"P",{"data-svelte-h":!0}),p(h)!=="svelte-nnpzlr"&&(h.innerHTML=rt),R=a(t),y(_.$$.fragment,t),Z=a(t),$=s(t,"P",{"data-svelte-h":!0}),p($)!=="svelte-armibm"&&($.textContent=st),j=a(t),P=s(t,"TABLE",{"data-svelte-h":!0}),p(P)!=="svelte-okkx16"&&(P.innerHTML=pt),J=a(t),y(x.$$.fragment,t),W=a(t),C=s(t,"P",{"data-svelte-h":!0}),p(C)!=="svelte-ipbj1s"&&(C.innerHTML=ot),Y=a(t),y(g.$$.fragment,t),D=a(t),b=s(t,"P",{"data-svelte-h":!0}),p(b)!=="svelte-10c35bg"&&(b.innerHTML=mt),N=a(t),v=s(t,"P",{"data-svelte-h":!0}),p(v)!=="svelte-152wvr6"&&(v.innerHTML=ft),Q=a(t),T=s(t,"UL",{"data-svelte-h":!0}),p(T)!=="svelte-1yo4w7a"&&(T.innerHTML=ct),K=a(t),y(w.$$.fragment,t),O=a(t),M=s(t,"P",{"data-svelte-h":!0}),p(M)!=="svelte-51a2ou"&&(M.innerHTML=ut),tt=a(t),A=s(t,"P",{}),dt(A).forEach(n),this.h()},h(){ht(o,"name","hf:doc:metadata"),ht(o,"content",Mt)},m(t,e){bt(document.head,o),l(t,B,e),l(t,L,e),l(t,F,e),I(m,t,e),l(t,G,e),l(t,f,e),l(t,V,e),I(c,t,e),l(t,q,e),l(t,u,e),l(t,z,e),l(t,d,e),l(t,S,e),l(t,h,e),l(t,R,e),I(_,t,e),l(t,Z,e),l(t,$,e),l(t,j,e),l(t,P,e),l(t,J,e),I(x,t,e),l(t,W,e),l(t,C,e),l(t,Y,e),I(g,t,e),l(t,D,e),l(t,b,e),l(t,N,e),l(t,v,e),l(t,Q,e),l(t,T,e),l(t,K,e),I(w,t,e),l(t,O,e),l(t,M,e),l(t,tt,e),l(t,A,e),et=!0},p:$t,i(t){et||(E(m.$$.fragment,t),E(c.$$.fragment,t),E(_.$$.fragment,t),E(x.$$.fragment,t),E(g.$$.fragment,t),E(w.$$.fragment,t),et=!0)},o(t){U(m.$$.fragment,t),U(c.$$.fragment,t),U(_.$$.fragment,t),U(x.$$.fragment,t),U(g.$$.fragment,t),U(w.$$.fragment,t),et=!1},d(t){t&&(n(B),n(L),n(F),n(G),n(f),n(V),n(q),n(u),n(z),n(d),n(S),n(h),n(R),n(Z),n($),n(j),n(P),n(J),n(W),n(C),n(Y),n(D),n(b),n(N),n(v),n(Q),n(T),n(K),n(O),n(M),n(tt),n(A)),n(o),H(m,t),H(c,t),H(_,t),H(x,t),H(g,t),H(w,t)}}}const Mt='{"title":"CPU에서 효율적인 훈련","local":"efficient-training-on-cpu","sections":[{"title":"IPEX와 혼합 정밀도","local":"mixed-precision-with-ipex","sections":[{"title":"IPEX 설치:","local":"ipex-installation","sections":[],"depth":3},{"title":"Trainer에서의 사용법","local":"usage-in-trainer","sections":[],"depth":3},{"title":"실습 예시","local":"practice-example","sections":[],"depth":3}],"depth":2}],"depth":1}';function Xt(nt){return Pt(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=vt}),[]}class Ht extends xt{constructor(o){super(),Ct(this,o,Xt,wt,_t,{})}}export{Ht as component};
